io.milvus.v2.utils

## Class ClientUtils

- java.lang.Object
- - io.milvus.v2.utils.ClientUtils

-     public class ClientUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientUtils()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkDatabaseExist(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, java.lang.String dbName)`
    `io.grpc.ManagedChannel` | `getChannel(ConnectConfig connectConfig)`
    `java.lang.String` | `getServerVersion(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientUtils

          public ClientUtils()

  - ### Method Detail

    - #### getChannel

          public io.grpc.ManagedChannel getChannel(ConnectConfig connectConfig)

    - #### checkDatabaseExist

          public void checkDatabaseExist(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         java.lang.String dbName)

    - #### getServerVersion

          public java.lang.String getServerVersion(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)